class Services

  def initialize(config = {})
      self.create(config[:new]) if config[:new]
      self.boot(config[:boot]) if config[:boot]
  end

  def create(service)
    case service
      when 'aws','AWS','Amazon Web Services'
        Services::Aws.new(:new => true)
      else
        puts "That service schema was not recognized."
    end
  end

  def boot(service)
    case service
      when 'aws','AWS','Amazon Web Services'
        Services::Aws.new(:boot => service)
      else
        puts "That service schema was not recognized."
    end
  end

end

require_relative 'services/aws'